# studio::EventMouse Struct Reference

`#include <event_mouse.h>`

List of all members.

## Public Member Functions

| EventMouse (EventKey id, MouseButton button, const synfig::Point &pos, Gdk::ModifierType modifier=Gdk::ModifierType(0))
| EventMouse (EventKey id, MouseButton button, const synfig::Point &pos, float pressure, Gdk::ModifierType modifier=Gdk::ModifierType(0))

## Public Attributes

synfig::Point | pos
MouseButton | button
float | pressure
Gdk::ModifierType | modifier

## Constructor & Destructor Documentation

studio::EventMouse::EventMouse | ( | EventKey | id,
|  | MouseButton | button,
|  | const synfig::Point & | pos,
|  | Gdk::ModifierType | modifier = `Gdk::ModifierType(0)` |
| ) |  |  | `[inline]`

studio::EventMouse::EventMouse | ( | EventKey | id,
|  | MouseButton | button,
|  | const synfig::Point & | pos,
|  | float | pressure,
|  | Gdk::ModifierType | modifier = `Gdk::ModifierType(0)` |
| ) |  |  | `[inline]`

## Member Data Documentation

synfig::Point studio::EventMouse::pos

MouseButton studio::EventMouse::button

float studio::EventMouse::pressure

Gdk::ModifierType studio::EventMouse::modifier

The documentation for this struct was generated from the following file:

- event_mouse.h